#global _legacy_common_support 1

%define         srcname        wmSpaceWeather

Name:           wmspaceweather
Version:        1.05
Release:        %mkrel 4
Summary:        A space weather monitor which displays cosmic ray fluxes from the Sun
License:        GPLv2
Group:          Sciences/Astronomy

URL:            https://www.dockapps.net/wmspaceweather
Source0:        https://github.com/eatdust/wmspaceweather/files/15365910/%{srcname}-%{version}_fix.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(dockapp)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xext)

Requires: python3



%description
Wmspaceweather is another dockapp for WindowMaker, or any window
manager and desktop environment that handles dock applications. It
displays the current fluxes and spectra for electrons and protons at
geosynchronous orbit, as well as X-ray levels and the last K-index
values. The K-index is a measure of how disturbed the Earth's magnetic
field has been over a 3-hour interval which ranges from 0 to 9 (0
is quiet and 9 is very disturbed). The K-index values shown are the 8
previous values (i.e. the last 24 hours). If the display is
up-to-date, the led next to the K bars will flash blue, otherwise it
will flash orange.


%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
cd %{srcname}
%set_build_flags
%make_build


%install
cd %{srcname}
%__install -D -m 755 getspaceweather.py %{buildroot}%{_bindir}/getspaceweather.py
%__install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
%__install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc BUGS CHANGES COPYING HINTS README
%{_bindir}/%{name}
%{_bindir}/getspaceweather.py
%{_mandir}/man1/%{name}.1*





%changelog
* Sat May 18 2024 eatdirt <eatdirt> 1.05-4.mga10
+ Revision: 2064811
+ rebuild (emptylog)

* Sat May 18 2024 eatdirt <eatdirt> 1.05-3.mga10
+ Revision: 2064802
- Fix flux normalization

* Sat May 18 2024 eatdirt <eatdirt> 1.05-2.mga10
+ Revision: 2064777
- Fix url, try building without legacy options

* Sat May 18 2024 eatdirt <eatdirt> 1.05-1.mga10
+ Revision: 2064769
- Upgrade to version 1.05

* Mon May 13 2024 eatdirt <eatdirt> 1.05-0.git005d0a491d.1.mga10
+ Revision: 2063976
- Update to latest git snapshot

* Wed Mar 30 2022 umeabot <umeabot> 1.04-16.mga9
+ Revision: 1835350
- Mageia 9 Mass Rebuild

* Sun Sep 06 2020 eatdirt <eatdirt> 1.04-15.mga8
+ Revision: 1623006
- Fix build with -fcommon
+ wally <wally>
- add -fcommon to build flags to fix build with gcc10

* Sat Sep 05 2020 eatdirt <eatdirt> 1.04-14.mga8
+ Revision: 1622542
- Fix build allowing for muldefs

* Sun Mar 22 2020 eatdirt <eatdirt> 1.04-13.mga8
+ Revision: 1558750
- Update urls

* Sat Feb 15 2020 umeabot <umeabot> 1.04-12.mga8
+ Revision: 1525246
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Apr 06 2019 eatdirt <eatdirt> 1.04-11.mga7
+ Revision: 1386479
- Fix mix between proton and electron flux

* Thu Mar 28 2019 eatdirt <eatdirt> 1.04-10.mga7
+ Revision: 1380749
- Fix change of url and parsing

* Sun Sep 23 2018 umeabot <umeabot> 1.04-9.mga7
+ Revision: 1301703
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 1.04-8.mga7
+ Revision: 1157216
- fix debug packages

* Mon Feb 08 2016 umeabot <umeabot> 1.04-7.mga6
+ Revision: 948154
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.04-6.mga5
+ Revision: 741142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.04-5.mga5
+ Revision: 690350
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.04-4.mga4
+ Revision: 520153
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.04-3.mga3
+ Revision: 385784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.04-2.mga3
+ Revision: 314699
- Fix obsolete usage of ctime() in perl script

* Mon Oct 17 2011 eatdirt <eatdirt> 1.04-1.mga2
+ Revision: 155940
- imported package wmspaceweather

